Back to top

Autore Topic: non riesco ad aggiornare da 2.5.17 a 3.2.x  (Letto 6066 volte)

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
non riesco ad aggiornare da 2.5.17 a 3.2.x
« il: 07 Feb 2014, 11:11:21 »
buongiorno a tutti, sto tentando (dannatamente) in tutti i modi descritti in rete di aggiornare dalla versione 2.5.17 a 3.2.x ma in nessun modo riesco nell'operazione...qualcuno saprebbe darmi una delucidazione in più?? di seguito descrivo l'ultima procedura attuata:


NB: premetto che sto lavorando su una copia del sito in un sottodominio creato per l'occasione...quindi posso fare quello che voglio  ;D
  • pulizia cache browser, interna e delle estensioni
  • aggiornamento di tutte le estensioni, moduli e plugin all'ultima versione disponibile
  • check-up di tutte le estensioni, moduli e plugin per verificare la compatibilità con la versione 3 di joomla
  • disinstallazione di tutto ciò che non è compatibile con la versione 3 di joomla
  • pulizia cache browser, interna e delle estensioni
  • START procedura di aggiornamento ma con esito sconosciuto, ovvero schermata bianca sia da back che front senza conclusione della percentuale di completamento bloccata circa all'80%
inoltre specifico che al passaggio 5 (ossia dopo la pulizia della cache nelle estensioni) mi è apparsa questa schermata che trovate in allegato


utilizzo questo sito sin dalla versione 1.7 sempre aggiornata regolarmente e senza intoppi


cosa significa tutto questo?? ci potrebbe essere un nesso con il blocco dell'aggiornamento??


vorrei solo capirci qualcosa in più! grazie  :)

[allegato eliminato automaticamente dopo un anno]
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21746
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #1 il: 07 Feb 2014, 12:41:09 »
sembra che hai due plug in che non riescono a comunicare con l'esterno, questi:
aklazy e spambootcheck

Personalmente non li conosco, però ho visto che nel percorso dell'immagine che hai postato, i front-end funzione.......

Forse ti se portato dietro qualcosa che con j3.2 non funziona

potresti fare così:

  • annotati tutte le estensioni no core che hai installato nel sito, template componenti moduli e plug in
  • copiati il file configuration.php da qualche parte
  • cancella tutto il contenuto di shop (la root del sottodominio dove stai lavorando)
  • fai un installazione pulita di joomla 3.2, usando lo stesso database ma con L'ACCORGIMENTO di usare un nuovo prefisso per le tabelle.
  • Installa le estensioni che ti sei annotato
adesso hai un sito di j3.2 perfettamente funzionante con le tue estensioni NOcore installate, identico al sito che non funziona ma vuoto di contenuti.
Ricarica il file configuration.php via ftp (occhio ai permessi che sul server sono a 444 e se non li cambi non puoi sovrascrivere).
Il vecchio file configuration di fatto dovrebbe essere come identico a quello della nuova installazione ma con il prefisso delle tabelle diverso.


Adesso dovresti avere il sito funzionante e con i tuoi contenuti.




Questo passaggio anche se lungo, ti permette di avere la sicurezza che nei file ci sia solo ciò che ci deve stare, spesso fra installazioni e disinstallazioni qualche file rimane facendoci dannare in seguito.


Questa inoltre è una buona procedura da adottare se a qualcuno viene hakerato il sito.......sempre che anche il database non sia compromesso.
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #2 il: 07 Feb 2014, 18:06:19 »
ciao e grazie per la super dettagliata risposta!  :)


dunque ora provvedo a fare tutto secondo i tuoi consigli e vedo se riesco nell'intento... ::)


nel frattempo che attendo la cancellazione dei file via FTP (lentissima tra l'altro)  :'(  vorrei solo capire se facendo così dopo devo anche cancellare il vecchio database (ovvero quello con l'altro prefisso per le tabelle)??


grazie ancora @giusebos

Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21746
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #3 il: 07 Feb 2014, 18:16:04 »
No!! quello tienilo, sarà il database con cui ti collegherai dopo aver ricaricato il file configuration.php.

Questo database è prezioso proprio perchè contiene i tuoi contenuti oltre che le varie impostazioni.
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #4 il: 07 Feb 2014, 18:36:51 »
No!! quello tienilo, sarà il database con cui ti collegherai dopo aver ricaricato il file configuration.php.

Questo database è prezioso proprio perchè contiene i tuoi contenuti oltre che le varie impostazioni.


ok grazie ancora ci aggiorniamo al termine di questa lunga (quasi perpetua) procedura di cancellazione via FTP  ;D
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #5 il: 08 Feb 2014, 02:46:59 »
ciao @giusebos, alla fine ho seguito la procedura da te suggerita ed ora mi appare questo errore (per sicurezza ho solo modificato il nome_database ;)):


1146 Table 'nome_database.jos_postinstall_messages' doesn't exist SQL=SHOW FULL COLUMNS FROM `jos_postinstall_messages`




ovviamente capisco che trattasi di database... ora infatti vi sono due gruppi di tabelle nello stesso database (nuova installazione e backup)

se applico il precedente prefisso (ovvero quello originale di backup) mi restituisce il suddetto errore e quindi capisco che non trova alcuni file essenziali per il corretto funzionamento come per esempio i template back e front, mentre gli articoli, immagini, moduli, ecc, sono già tutti li carichi e pronti...


se invece applico il nuovo prefisso questi non contiene i miei precedenti dati come articoli, moduli, ecc. ma funziona perfettamente...pertanto mi è tutto chiaro il problema, ma mi sfugge ancora la soluzione...però domattina forse sarò più lucido per trovarla  ;D


quindi a questo punto cosa faccio? ho pensato e se facessi una sovrascrittura di tutta la cartella decompressa di joomla 3.2.2?? potrebbe andare o è solo una questione di database???


dai che ci sono quasi...stanotte mi sento come "l'uomo prima che viaggiò" sulla luna  :D
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21746
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #6 il: 08 Feb 2014, 07:23:45 »
rileggendo tutta la discussione ho dato per scontato che la prima migrazione automatica fosse in qualche modo andata a buonfine perchè il front-end era visibile.
ma se non lo fosse stata?

Non sono sicuro, ma è possibile che fra le tabelle di j2.5 e j3.0 ci sia qualche differenza.
Possiamo provare ad intervenire fixando il database [quello vecchio con i contenuti] con l'apposita funzione "correggi", Fix (nella versione inglese)

gestione estensioni>>database>>correggi

alla fine dell'operazione un piccolo messaggio dovrebbe dirti se ha corretto qualcosa, magari riportalo.
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #7 il: 08 Feb 2014, 11:58:29 »
il problema è proprio questo che quasi in tutti i pannelli di controllo di Joomla ho il suddetto messaggio di errore, nel caso di gestione estensioni> database mi appare questo:


SQL=SHOW COLUMNS IN `jos_newsfeeds` WHERE Field = 'filename'


 :-\


quindi non posso effettuare nessuna operazione a parte installare estensioni o template, il front end è bianco nonostante abbia installato un template compatibile con la versione 3 ma non vedo nulla, mentre in backend mancano i template admin corretti... pertanto mi chiedevo sarebbe utile riscrivere tutto in FTP passando tutta la cartella di Joomla??
« Ultima modifica: 08 Feb 2014, 12:04:59 da needweb »
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline BelinBelan

  • Instancabile
  • ******
  • Post: 3887
  • Sesso: Maschio
  • Niente di meno e niente di più. uguale? Forse.
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #8 il: 08 Feb 2014, 12:13:51 »
secondo me, devi solo aggiornare il Database all'ultima versione e ora lo puoi fare solo manualmente.


Cerca o nel pacchetto di Joomla 3.2.2 o nel tuo sito questo percorso:


administrator/components/com_admin/sql/updates/mysql/...


dentro troverai un sacco di file .sql, aprili in un editor, copia il contenuto ed eseguilo nella finestra SQL dentro il PhpMyAdmin con cui gestisci il tuo database.


il file .SQL che ti servono, se il DB era già un 3.1.1 (cosa di cui dubito) sono solo quelli che iniziano per 3.2.2 etc...


altrimenti dovrai manualmente fare tutti gli upgrade a partire dalla versione Joomla! che avevi e cioè 2.5.17...


Io nella cartella ho contato ben 18 file!!!  ;D ;D ;D  buona fortuna!  :)
--
Per piacere, no messaggi privati con richieste d'aiuto!!!

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #9 il: 08 Feb 2014, 12:29:52 »
ciao @BelinBelan ho visto nel percorso


administrator/components/com_admin/sql/updates/mysql/


in effetti io ho 38 file  :o




la cosa strana però è che ci sono diverse ripetizioni dello stesso file 3.2.2, esattamente 6, 4 datate nel mese di gennaio e 2 a dicembre


mentre per la versione 2.5.x l'ultimo file risale alla versione 2.5.7 datata 6 febbraio ovvero il giorno che ho fatto l'ultima operazione da quella versione...pertanto??? che devo fare ora? scusatemi ma ho poca dimestichezza con i database  ::)


come si fa un upgrade manuale? mi linkate qualche tutorial o guida comprensibile anche per me? grazie
« Ultima modifica: 08 Feb 2014, 12:31:40 da needweb »
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline BelinBelan

  • Instancabile
  • ******
  • Post: 3887
  • Sesso: Maschio
  • Niente di meno e niente di più. uguale? Forse.
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #10 il: 08 Feb 2014, 13:05:23 »
Questo è l'unico "tutorial" che ho trovato...


http://forum.joomla.org/viewtopic.php?f=707&t=800629


non cambia niente, se non il fatto (mi ero dimenticato) che quando apri il file .sql nell'editor dovrai sotiruire la stringa:


#__ con il prefisso delle tabelle del tuo database, poi apri il phpmyadmin, incolli nella finestra SQL del tuo Database il file di testo modificato e poi premi il bottone: ESEGUI  :D  oh! più passo a passo di così!!!  ;)
--
Per piacere, no messaggi privati con richieste d'aiuto!!!

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #11 il: 08 Feb 2014, 13:32:49 »
ok grazie ora provo così e poi faccio sapere, ma lo devo fare per tutti i singoli file questo aggiornamento della stringa?? o solo per quelli della versione 3.2.2??  :o



Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline BelinBelan

  • Instancabile
  • ******
  • Post: 3887
  • Sesso: Maschio
  • Niente di meno e niente di più. uguale? Forse.
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #12 il: 08 Feb 2014, 13:33:43 »
io inizierei dalla 3.0 in avanti...  :)
--
Per piacere, no messaggi privati con richieste d'aiuto!!!

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #13 il: 08 Feb 2014, 15:07:21 »
effettuata tutta la procedura manuale e mi sono usciti fuori un pò di errori che ho annotato qui per la community (trovate una screenshot di esempio allegata)


la maggior parte degli errori sono tutti associati alla tabella _postinstall_messages che non esiste


questo tipo di errore può essere soluzionato con la sovrascrittura??


io nel frattempo provo tanto non ho nulla da perdere  ;D  mal che vada si riparte da zero con il backup  ;)

[allegato eliminato automaticamente dopo un anno]
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21746
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #14 il: 08 Feb 2014, 15:22:23 »
se il computer fa fumo nero e puzza di bruciato, ti do io il cell di belinbelan ;D ;D ;D


Direi che ripartire da capo è un ottima idea, ma invece di scrivi direttamente i file, inserirei l'opzione scrivi i file utilizzando l'ftp.

con questa procedura appariranno le caselle per le credenziali ftp e la cartella dove prendere i file.


Quindi scaricherei il pacchetto di aggiornamento direttamente dal link della pagina di aggiornamento, lo scompatterei in una cartella e trasferirei il file in /tmp/tua_cartella

in questo modo dovremmo evitare errori dovuti a time out e sovraccaricare il server
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline needweb

  • Appassionato
  • ***
  • Post: 234
  • Sesso: Maschio
  • Dream until your dreams come true
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #15 il: 10 Feb 2014, 14:41:16 »
ciao @giusebos scusate il ritardo ma ho impiegato una marea di tempo a cancellare tutto e riportare sito e database allo stato vergine


ora ho di nuovo il mio precedente sito con il suo database originale, ma ancora con qualche errorino da correggere (sempre legato a quelle precedenti tracce di cui in alto)


i sottodomini li ho riportati allo stato vergine, mentre per la procedura di aggiornamento alla versione 3 ancora non ho trovato una soluzione...insomma, come hai suggerito tu praticamente riepilogo se ho capito:


faccio una nuova installazione di joomla 3.2.x con l'opzione scrivi i file utilizzando l'ftp??

oppure installo joomla e poi aggiungo il database? non ho capito questo ultimo passaggio, mi potresti illuminare cortesemente?? :-\
Visita il mio blog www.needweb.it troverai tante notizie utili, download e tutorial...I LOVE JOOMLA

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21746
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:non riesco ad aggiornare da 2.5.17 a 3.2.x
« Risposta #16 il: 10 Feb 2014, 14:58:00 »
nel tuo spazio di test ricrea il sito identico alla versione che hai nello spazio di produzione, quindi procedi con l'aggiornamento con le opzioni e procedura da ftp come indicato.
Il database a questo punto non dovrai toccarlo.

naturalmente tutto ciò che sono vecchie prove, sia di file che database li cancelli definitivamente.
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

 



Web Design Bolzano Kreatif